/**
 * 
 */
const fs = require('fs');
const sh = require('child_process').execSync;


module.exports = (config) => {

    const dist = config.theme + '/tmp';
    const nav = config.nav;
    
    let out = '';

    nav.forEach(item => {
        let str = '{';
        if (/^https?.*/.test(item.uri)) {
            str += `http: ${item.uri},`;
        } else {
            str += `md: require("${item.uri}"),`;
        }
        str += `label: "${item.label}",`;
        str += `uri: "${item.uri}"`;

        str += '}';

        out += str + ',';
    });

    out = `module.exports = [${out}];`;

    fs.writeFileSync(dist + `/__nav__.js`, out);

}