/**
 * 
 */
const fs = require('fs');
const sh = require('child_process').execSync;


module.exports = (config) => {

    const dist = config.theme + '/tmp';
    const nav = config.nav;
    
    let out = '';

    nav.forEach(item => {
        let str = '{';
        if (/^https?.*/.test(item.uri)) {
            str += `http: "${item.uri}",\n`;
        } else {
            str += `md: require("${item.uri}"),\n`;
        }
        str += `label: "${item.label}",\n`;
        str += `uri: "${item.uri}"\n`;

        str += '}';

        out += str + ',';
    });

    out = `module.exports = [${out}];`;
    fs.writeFileSync(dist + `/__nav__.js`, out);

}