const fs = require('fs');
const path = require('path');
const walk = require('walk');
const config  = require('./config');
const md = require('./lib/marked');
const yamlFront = require('yaml-front-matter')


const mdData = {};


const walker = walk.walk(config.root);
walker.on('file', function (root, fileStats, next) {
    const name = fileStats.name;
    const ext = path.extname(basename);

    const file = path.resolve(__dirname, root + '/' + basename);
    // console.log(file);
    if (ext === '.md') {
        const input = fs.readFileSync(file, 'utf-8');
        const results = yamlFront.loadFront(input, 'content');
        console.log(results);

        mdData

        const res = md(results.content);
        console.log(res);
    }

    next();
});


walker.on('end', () => {

    // console.log('end');
});

walker.on('error', (e) => {
    console.log(e);
})