import React from 'react';
import ReactDOM from 'react-dom';

import { AppContainer } from 'react-hot-loader';
// import walkMD from './walkmd';
// AppContainer is a necessary wrapper component for HMR
import {
  BrowserRouter as Router,
  Route,
  Link
} from 'react-router-dom';

import App from './App';


const About = () => {
  return (
    <div>about</div>
  )
}

const render = (Component) => {
  ReactDOM.render(
    <Router>
      <AppContainer>
        <Component/>
      </AppContainer>
      <Route path="/about" component={About}/>
    </Router>
    ,
    document.getElementById('root')
  );
};

render(App);


// Hot Module Replacement API
if (module.hot) {
  module.hot.accept('./App', () => {
    render(App)
  });
}