const fs = require('fs');
const path = require('path');
const walk = require('walk');
const yamlFront = require('yaml-front-matter');
const sh = require('child_process').execSync;
const chalk = require('chalk');
const babel = require('babel-core');


module.exports = (entry) => {

    const walker = walk.walk(entry);

    walker.on('file', function (root, fileStats, next) {
        const name = fileStats.name;
        const ext = path.extname(name);
        const basename = path.basename(name, ext);

        const file = path.resolve('', root + '/' + name);

        if (ext === '.js') {
            const res = babel.transformFileSync('./src/entry.index.js');
        }
        
        next();
    });

    walker.on('end', () => {
        
    });

    walker.on('error', (e) => {
        console.log(e);
    });
}




console.log(res);
