/**
 * 
 */
const fs = require('fs');


module.exports = (config) => {

    const dist = config.theme + '/tmp';
    const nav = config.nav;
    
    let res = '';

    nav.forEach(item => {
        const str = '{';
        if (/^https?.*/.test(item.uri)) {
            str += `http: ${item.uri},`;
        } else {
            str += `md: require("${item.uri}"),`;
        }
        str += `label: "${item.label}",`;
        str += `uri: "${item.uri}"`;

        str += '}';

        res += str + ',';
    });

    res = `module.exports = [${res}];`;

     fs.writeFileSync(dist + `/__${item.page}.js`, out);

}