import React from 'react';
import styles from './app.css';
import RM from 'react-dom';
import Render from './render';
import {
  BrowserRouter as Router,
  Route,
  HashRouter,
  Link
} from 'react-router-dom';

import { Layout, Menu, Breadcrumb, Icon } from 'antd';
const { Sider, Header } = Layout;

import HeaderView from './header';
import SiderView from './sider';
import ContentView from './content';

const NavContent = () => {
  return <div> NavContent</div>
}

const SiderContent = (p) => {
    console.log('p:', p);

    return <div/>
}

class Index extends React.Component {
  constructor(props) {
    super(props);
  }

  componentDidMount() {

    // const config = require(this.props.db.root + '/cherry.config');

    console.log('============');
    // console.log(config);
  }

  handleClicked(page) {
    this.refs.render.setPage(page);
  }

  render() {
    const {db} =  this.props;
    return (
      <HashRouter>
        <Layout>
          <Header>
            <HeaderView db={db}/>
          </Header>
          
          <Route path="/" component={SiderContent} db={db}/>
          <Route path="/page" component={SiderContent} db={db}/>
          <Route path="/nav" component={NavContent}/>
        </Layout>
      </HashRouter>
    )
  }
}

export default Index;